Bug 2058947 - Black screen with sddm on Wayland using the Weston compositor
Summary: Black screen with sddm on Wayland using the Weston compositor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-27 04:22 UTC by Matt Fagnani
Modified: 2024-05-21 14:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:13:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Matt Fagnani 2022-02-27 04:22:00 UTC
Description of problem:

I tested using sddm on Wayland using the Weston compositor from sddm-wayland-generic-0.19.0^git20220224.5ad9f19-2.fc36.noarch in a Fedora 36 KDE Plasma installation. sddm appeared for less than a second. The screen went black except for the mouse cursor which I could still move around. I couldn't use sddm to log in to Plasma as a result.

I ran systemctl restart sddm in a VT which didn't get sddm to appear. The journal showed that sddm-greeter (or sddm-helper) had crashed. 

Feb 26 22:39:06 polkitd[913]: Operator of unix-process:1225:26373 successfully authenticated as unix-user:matt to gain TEMPORARY authorization for action org.freedesktop.systemd1.manage-units for system-bus-name::1.38 [systemctl restart sddm] (owned by unix-user:matt)
Feb 26 22:39:06 systemd[1]: Stopping sddm.service - Simple Desktop Display Manager...
Feb 26 22:39:06 sddm[980]: Signal received: SIGTERM
Feb 26 22:39:06 sddm-helper[985]: Signal received: SIGTERM
Feb 26 22:39:11 sddm-greeter[1082]: Socket error:  "QLocalSocket: Remote closed"
Feb 26 22:39:11 sddm[980]: Error from greeter session: "Process crashed"
Feb 26 22:39:11 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sddm comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 26 22:39:11 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=sddm comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 26 22:39:11 sddm[980]: Auth: sddm-helper (--socket /tmp/sddm-auth5dc0fba5-e788-4c45-8632-20a358c5c857 --id 2 --start /usr/bin/sddm-greeter --socket /tmp/sddm--dOIFCx --theme /usr/share/sddm/themes/breeze --user sddm --display-server weston --shell=fullscreen-shell.so --greeter) crashed (exit code 1)
Feb 26 22:39:11 polkitd[913]: Unregistered Authentication Agent for unix-process:1225:26373 (system bus name :1.39, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_CA.UTF-8) (disconnected from bus)
Feb 26 22:39:11 sddm[980]: Error from greeter session: "Process crashed"
Feb 26 22:39:11 sddm[980]: Auth: sddm-helper exited with 9
Feb 26 22:39:11 systemd-logind[866]: Session c1 logged out. Waiting for processes to exit.
Feb 26 22:39:11 systemd[1]: sddm.service: Deactivated successfully.
Feb 26 22:39:11 systemd[1]: Stopped sddm.service - Simple Desktop Display Manager.
Feb 26 22:39:11 systemd[1]: Started sddm.service - Simple Desktop Display Manager.
Feb 26 22:39:11 audit[1244]: USER_AUTH pid=1244 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_permit acct="sddm" exe="/usr/libexec/sddm-helper" hostname=? addr=? terminal=? res=success'
Feb 26 22:39:11 audit[1244]: USER_ACCT pid=1244 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_permit acct="sddm" exe="/usr/libexec/sddm-helper" hostname=? addr=? terminal=? res=success'
Feb 26 22:39:11 audit[1244]: CRED_ACQ pid=1244 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_permit acct="sddm" exe="/usr/libexec/sddm-helper" hostname=? addr=? terminal=? res=success'
Feb 26 22:39:11 sddm-helper[1244]: pam_unix(sddm-greeter:session): session opened for user sddm(uid=989) by matt(uid=0)
Feb 26 22:39:11 systemd-logind[866]: New session c2 of user sddm.
Feb 26 22:39:11 systemd[1]: Started session-c2.scope - Session c2 of User sddm.
Feb 26 22:39:11 audit[1244]: USER_START pid=1244 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_unix,pam_systemd acct="sddm" exe="/usr/libexec/sddm-helper" hostname=localhost.localdomain addr=? terminal=/dev/tty3 res=success'
Feb 26 22:39:11 sddm-helper[1244]: pam_unix(sddm-greeter:session): session closed for user sddm
Feb 26 22:39:11 audit[1244]: USER_END pid=1244 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_unix,pam_systemd acct="sddm" exe="/usr/libexec/sddm-helper" hostname=localhost.localdomain addr=? terminal=/dev/tty3 res=success'
Feb 26 22:39:11 audit[1244]: CRED_DISP pid=1244 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_permit acct="sddm" exe="/usr/libexec/sddm-helper" hostname=localhost.localdomain addr=? terminal=/dev/tty3 res=success'
Feb 26 22:39:11 systemd[1]: session-c2.scope: Deactivated successfully.
Feb 26 22:39:11 sddm[1242]: Auth: sddm-helper exited with 3

No core dump for the sddm-greeter crash was shown in coredumpctl. I don't know if that crash was the reason for the initial black screen.

Version-Release number of selected component (if applicable):
sddm-wayland-generic-0.19.0^git20220224.5ad9f19-2.fc36.noarch
plasma-desktop-5.24.2-1.fc36.x86_64
qt5-qtbase-5.15.2-33.fc36.x86_64
weston-8.0.0-10.fc36.x86_64

How reproducible:
The sddm black screen happened on 2/2 boots.

Steps to Reproduce:
1. Boot a Fedora 36 KDE Plasma installation updated to 2022-2-26 with updates-testing enabled.
2. Log in to Plasma 5.24.2 on Wayland
3. Start Konsole
4. Switch to using sddm-wayland-generic-0.19.0^git20220224.5ad9f19-2.fc36.noarch
If sddm-wayland-plasma is installed,
sudo dnf swap sddm-wayland-plasma sddm-wayland-generic 
If sddm-x11 is installed,
sudo dnf swap sddm-x11 sddm-wayland-generic
5. Reboot

Actual results:
Black screen with sddm on Wayland using the Weston compositor

Expected results:
sddm would function normally.

Additional info:

Comment 1 Ben Cotton 2023-04-25 16:54:40 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Matt Fagnani 2023-05-02 15:09:25 UTC
I tested using sddm-wayland-generic-0.19.0^git20230404.e652433-1.fc38.noarch with weston-11.0.1-2.fc38.x86_64 in a Fedora 38 KDE Plasma installation with sudo dnf swap sddm-wayland-plasma sddm-wayland-generic then rebooting. sddm appeared for less than a second followed by the virtual keyboard for a bit. The screen was black indefinitely after that. I didn't see the sddm-helper crash in the journal.

Comment 3 Aoife Moloney 2024-05-07 15:45:16 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Aoife Moloney 2024-05-21 14:13:10 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.